Subject: Re: bug#39883: 28.0.50; macOS blank frame

From: Alan Third <[email-masked]>
Date: Tue, 3 Mar 2020 20:04:18 +0100 (CET)

On Tue, Mar 03, 2020 at 10:42:28AM +0100, Philippe Spiesser wrote:
> Hello
> 
> Every week, after updating local repositories (git pull), I build Emacs
> 27.0.60 and
> Emacs 28.0.50.
> Since the 14 of February 2020, everything is OK with Emacs 27.0.60 but
> Emacs 28 starts in a window with a blank frame without displaying any
> character. Keyboard is active and I quit with Ctrl-x Ctrl-c.
> 
> Yet, everything is Ok when running same Emacs 28 in a terminal with command
> .../Emacs.app/Contents/MacOS/Emacs -nw
> 
> On the other hand, everything is OK with Emacs 27.0.50
> 
> Thinking that it was a macOS problem, I look at the log for the files
> src/ns* and I downgrade the repository with the command
> git checkout f674c905dc98a4617c40c4bc115462b4ad2ebfc2
> and rebuild Emacs 28. So eveything is OK
> 
> I can't explain why updates after this commit cause this behavior.

Hi Philippe,

I pushed a possible fix for this to the master repository last night.
Could you please try it again?
-- 
Alan Third